How to run edgeSDK on iOS

The following instructions will walk you through how to run the edgeSDK on an iOS device.


Hardware Requirements

This guide assumes that:

  • You have access to a macOS computer.
  • You have created an iOS application development project.
  • You have internet connectivity.
  • Physical iOS device, such as iPad or iPhone. *Emulator is not yet supported.
  • iOS is updated to version 11+.

Instructions

The easiest way to integrate edgeSDK to an iOS application is through adding the iOS edgeSDK app wrappers as dependencies to your development project. You can use CocoaPods to install iOS edgeSDK app wrappers easily. Just add the following lines of codes to your Podfile:


                        platform: ios, '11.0'
source 'https://github.com/CocoaPods/Specs.git'
source 'https://github.com/mimikgit/cocoapod-edge-specs.git'

target 'your_target' do
    # edgeSDK wrapper cocoapods
    pod 'edgeSDK-iOS-app-auth'  ## includes edgeSDK-iOS as dependency
    pod 'edgeSDK-iOS-app-ops'   ## includes edgeSDK-iOS as dependency
end
                      

Documentation For Development

After you have successfully installed edgeSDK app wrappers on your project, please checkout our documentation page to see how to use the app wrappers to speed up your development process.


Account association

Follow this account association guide to link your Developer Account to your edgeSDK. That allows you to discover and make calls to devices that is not limited to your local network.